Skip to main content
GET
/
audit
/
v1
/
events
Get audit events
curl --request GET \
  --url https://api.swarmd.ai/audit/v1/events \
  --header 'Authorization: Bearer <token>'
{
  "content": [
    {
      "eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "auditType": "COMMUNICATION_AUDIT",
      "transport": "REST",
      "channelSource": "PLATFORM",
      "auditAction": "LOG",
      "sentAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "durationMicros": 123,
      "message": "<string>",
      "correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sourceAgent": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "sourceUser": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "sinkAgent": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "channel": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "payload": {
        "version": 123,
        "method": "<string>",
        "stage": "<string>",
        "httpStatus": 123,
        "errorMessage": "<string>",
        "errorCode": "<string>",
        "requestBody": {},
        "requestHeaders": {},
        "responseBody": {},
        "responseHeaders": {},
        "taskState": "<string>"
      },
      "metadata": {
        "version": 123,
        "source": "<string>"
      },
      "contextId": "<string>",
      "taskId": "<string>",
      "messageId": "<string>",
      "taskState": "<string>"
    }
  ],
  "page": 123,
  "size": 123,
  "totalElements": 123,
  "totalPages": 123,
  "availableFilters": {},
  "chartData": {
    "cells": [
      {}
    ],
    "unit": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Query Parameters

startTime
string<date-time>
endTime
string<date-time>
auditType
enum<string>
Available options:
COMMUNICATION_AUDIT,
VALIDATION_RESULT,
X402_PAYMENT_REQUIRED,
X402_PAYMENT_SUCCESS,
X402_PAYMENT_ATTEMPT,
X402_PAYMENT_REJECTED,
REGEX_DETECTION,
PRESIDIO_DETECTION,
COMPREHEND_DETECTION,
RATE_LIMIT,
SKILL_RESTRICTION,
HITL,
HITL_GUARD,
HITL_RESOLUTION,
POLICY_LIFECYCLE
transport
enum<string>
Available options:
REST,
JSONRPC,
GRPC,
CHANNEL
auditAction
enum<string>
Available options:
LOG,
MASK,
BLOCK,
WARN,
HUMAN_REVIEW_REQUIRED,
ERROR
correlationId
string<uuid>
sourceAgentId
string<uuid>
sourceUserId
string<uuid>
sinkAgentId
string<uuid>
channelId
string<uuid>
contextId
string
taskId
string
pageable
object
required

Response

200 - */*

OK

content
object[]
page
integer<int32>
size
integer<int32>
totalElements
integer<int64>
totalPages
integer<int32>
availableFilters
object
chartData
object